<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of DotClear.
# Copyright (c) 2004 Olivier Meunier and contributors. All rights
# reserved.
#
# DotClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# DotClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# ***** END LICENSE BLOCK *****
?>

<div class="post">
	<h2 id="<?php dcPostID(); ?>" class="post-title"><?php dcPostTitle(); ?></h2>
	<p class="post-info">Par <?php dcPostAuthor(); ?>,
	<?php dcPostDate(); ?> &agrave; <?php dcPostTime(); ?>
	 - <a href="<?php dcPostCatURL(); ?>"><?php dcPostCatTitle(); ?></a>
	 - <a href="<?php dcPostURL(); ?>"
	title="Lien permanent vers : <?php dcPostTitle(); ?>">Lien permanent #<?php dcPostID(); ?></a>
	</p>
	
	<?php dcPostChapo('<div class="post-excerpt">%s</div>'); ?>
	<div class="post-content"><?php dcPostContent(); ?></div>
</div>

<div id="comments">
	<h3>Commentaires</h3>
	<?php if ($comments->isEmpty()) : /* Message si aucun commentaire */	?>
		<p>Aucun commentaire pour le moment.</p>
	
	<?php else : ?>
	<dl>
	<?php while ($comments->fetch()) : /* Boucle de commentaires */
		// On met le numro du commentaire dans une variable
		$co_num = $comments->int_index+1;
	?>
		<dt id="c<?php dcCommentID(); ?>" class="comment-info">
		<a href="#c<?php dcCommentID(); ?>" class="comment-number"><?php echo $co_num; ?>.</a>
		Le <?php dcCommentDate(); ?> &agrave;
		<?php dcCommentTime(); ?>, par
		<strong><?php dcCommentAuthor(); ?></strong></dt>
		
		<?php /* on affiche le commentaire */ ?>
		<dd>
		<?php dcCommentContent(); ?>
		</dd>
	<?php endwhile; ?>
	</dl>
	<?php endif; ?>
</div>
	
<?php if (dcPostOpenComments() && dc_allow_comments) : /* Si les commentaires sont permis */?>
			<?php include dirname(__FILE__).'/form.php'; ?>
<?php else : ?>
	<p>Les commentaires pour ce billet sont ferm&eacute;s.</p>
<?php endif; ?>

<div id="pings">
	<h3 id="tb">La discussion continue ailleurs</h3>
	<?php if ($trackbacks->isEmpty()) : /* Message si aucune trackback */?>
		<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
		<p>Aucun trackback pour le moment.</p>
		<?php endif; ?>
	<?php else : ?>
	
	<dl>
	<?php while ($trackbacks->fetch()) : /* Liste des trackbacks */
		// On met le numro du trackback dans une variable
		$tb_num = $trackbacks->int_index+1;
	?>
		<dt id="c<?php dcTBID(); ?>" class="comment-info">
		<span class="comment-number"><a href="#c<?php dcTBID(); ?>"><?php echo $tb_num; ?>.</a></span>
		Le <?php dcTBDate(); ?> &agrave;
		<?php dcTBTime(); ?>, de
		<strong><?php dcTBAuthor(); ?></strong></dt>
		
		<?php /* on affiche le trackback */ ?>
		<dd>
		<?php dcTBContent(); ?>
		</dd>
	<?php endwhile; ?>
	</dl>
	
	<?php endif; ?>
	
</div>


	<?php /*Le lien pour ajouter un trackback si ceux-ci sont autoriss*/ ?>
		<?php if (dcPostOpenTrackbacks() && dc_allow_trackbacks) : ?>
			<p id="ping-url">Pour faire un trackback sur ce billet&nbsp;:
			<?php echo dcPostTrackBackURI(); ?></p>
		<?php else: ?>
			<p id="ping-url">Les trackbacks pour ce billet sont ferm&eacute;s.</p>
		<?php endif; ?>

		<?php /*Le lien du fil des commentaires du billet */ ?>
			<?php if (dcPostOpenComments() && dc_allow_comments) : ?>
	 			<p id="comments-feed"><a class="feed" href="<?php dcInfo('rss'); ?>?type=co&amp;post=<?php dcPostID(); ?>"
				title="fil RSS des commentaires de : <?php dcPostTitle(); ?>">Fil rss des commentaires de ce billet</a></p>
			<?php endif; ?>

